Skip to main content
GET
/
api
/
events
List Events
curl --request GET \
  --url https://api.rapidly.tech/api/events/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "workspace_id": "<string>",
      "customer_id": "<string>",
      "customer": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "external_id": "usr_1337",
        "email": "<string>",
        "email_verified": true,
        "name": "John Doe",
        "billing_address": {
          "country": "AD",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "city": "<string>",
          "state": "<string>"
        },
        "workspace_id": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "type": "individual"
      },
      "external_customer_id": "<string>",
      "label": "<string>",
      "source": "<string>",
      "name": "<string>",
      "metadata": {
        "customer_id": "<string>",
        "customer_email": "<string>",
        "customer_name": "<string>",
        "customer_external_id": "<string>"
      },
      "member_id": "<string>",
      "external_member_id": "<string>",
      "child_count": 0,
      "parent_id": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "pages": 123
  }
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Query Parameters

start_timestamp
string<date-time> | null

Filter events after this timestamp.

end_timestamp
string<date-time> | null

Filter events before this timestamp.

workspace_id

Filter by workspace ID. The workspace ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by external customer ID.

name

Filter by event name.

source

Filter by event source. Whether the event was generated internally or by user code.

Available options:
system,
user
query
string | null

Query to filter events.

parent_id
string<uuid4> | null

When combined with depth, use this event as the anchor instead of root events. The event ID.

depth
integer | null

Fetch descendants up to this depth. When set: 0=root events only, 1=roots+children, etc. Max 5. When not set, returns all events.

Required range: 0 <= x <= 5
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
timestamp,
-timestamp

Response

Successful Response

data
(CustomerCreatedEvent · object | CustomerUpdatedEvent · object | CustomerDeletedEvent · object | UserEvent · object)[]
required

An event created by Rapidly when a customer is created.

meta
PageMeta · object
required

Offset-based pagination metadata.